Download it now!
Bug 50760 - If different format in cells, Standard format not applied to all of them in 1 action
Summary: If different format in cells, Standard format not applied to all of them in 1...
Status: RESOLVED DUPLICATE of bug 76311
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2012-06-05 23:58 UTC by Timon
Modified: 2019-07-02 14:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file with different cell formats (6.00 KB, application/vnd.ms-excel)
2012-06-05 23:58 UTC, Timon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timon 2012-06-05 23:58:55 UTC
Created attachment 62629 [details]
Example file with different cell formats

there is an xls file with 4 cells of the following format

cell A1, category Number, format -1234.12
cell A2, category Number, format Standard
cell A3, category Number, format Standard
cell A4, category Number, format -1234.12

Standard format options:
fractional part - 0
leading zeros - 1
Format code - Standard

-1234.12 format options:
fractional part - 2
leading zeros - 1
Format code - 0,00

If we select all four cells and try to apply Standard format to all them, everything will remain in original places. Cells A1 and A4 have -1234.12 format. But if we change format to any other, and then to Standard, then all will be applicable.
Comment 1 Timon 2012-06-12 02:10:08 UTC
The same problem was confirmed in Apache OpenOffice 3.4.0
https://issues.apache.org/ooo/show_bug.cgi?id=119832
Comment 2 bfoman (inactive) 2012-06-22 04:08:38 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

It is not possible to apply Standard format when cells with different formating are selected.
Comment 3 QA Administrators 2015-04-19 03:22:42 UTC Comment hidden (obsolete)
Comment 4 Timon 2015-04-20 06:02:12 UTC
Bug is still reproducible with LibreOffice 4.4.2.2 Build ID c4c7d32d0d49397cad38d62472b0bc8acff48dd6 Locale ru_RU on Windows XP Professional SP3 (32bit)

It is not possible to apply Standard format when cells with different formating are selected.

By the way, after you tried to change format, nothing happens, because even the "Save" button remains inactive.
Comment 5 QA Administrators 2016-09-20 09:33:09 UTC Comment hidden (obsolete)
Comment 6 Timon 2016-09-20 09:53:58 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2018-06-26 02:44:05 UTC Comment hidden (obsolete)
Comment 8 Xavier Van Wijmeersch 2018-06-26 18:48:16 UTC
I have used clear direct formatting and all cells did have the standard format
But following the description then its still reproduce able

Version: 6.2.0.0.alpha0+
Build ID: 2e142c0ee54744d35517f0b9c49a24302fb32d47
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 9 QA Administrators 2019-06-27 02:53:24 UTC Comment hidden (obsolete)
Comment 10 Timon 2019-07-02 05:36:07 UTC
Bug is still reproducible with LibreOffice Version: 6.2.5.1 (x64)
Build ID: 9a940173fab1747f02322bc89779759d52b3a086
CPU Threads: 2; OS Version:Windows 6.1; UI Render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded
Comment 11 Timur 2019-07-02 14:30:32 UTC
Bug is reproducible and can be important from UX side. Standard format is I guess Number-General. 
But it doesn't offer a solution like similar bug 76311. So I'll mark duplicate. If you disagree, please explain. 
Note workaround: select needed cells and clear formatting with Ctrl+M. Than you can change.

*** This bug has been marked as a duplicate of bug 76311 ***